# WOK
TKWOKTcl
WOKTclTools

# WOKTclTools_Package Class Reference

`#include <WOKTclTools_Package.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTclTools_Package (const Handle(WOKTclTools_Interpretor)&aninterp, const Standard_CString aname, const Standard_CString aversion)
Standard_EXPORT Standard_Integer | Require (const Standard_Boolean exactversion=Standard_False)
Standard_EXPORT Standard_Integer | Provide ()
Standard_EXPORT Standard_Integer | EvalInitFile (const Standard_Boolean required=Standard_True)

## Private Attributes

Handle_WOKTclTools_Interpretor | myinterp
TCollection_AsciiString | myname
TCollection_AsciiString | myversion

## Constructor & Destructor Documentation

Standard_EXPORT WOKTclTools_Package::WOKTclTools_Package | ( | const Handle(WOKTclTools_Interpretor)& | aninterp,
|  | const Standard_CString | aname,
|  | const Standard_CString | aversion
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKTclTools_Package::EvalInitFile | ( | const Standard_Boolean | required = `Standard_True` | ) |

void WOKTclTools_Package::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKTclTools_Package::operator new | ( | size_t | size | ) | `[inline]`

void* WOKTclTools_Package::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer WOKTclTools_Package::Provide | ( |  | ) |

Standard_EXPORT Standard_Integer WOKTclTools_Package::Require | ( | const Standard_Boolean | exactversion = `Standard_False` | ) |

## Field Documentation

Handle_WOKTclTools_Interpretor WOKTclTools_Package::myinterp `[private]`

TCollection_AsciiString WOKTclTools_Package::myname `[private]`

TCollection_AsciiString WOKTclTools_Package::myversion `[private]`

The documentation for this class was generated from the following file:

- WOKTclTools_Package.hxx